Support » Plugin: Яндекс.Касса 2.0 для Woocommerce » Письмо от Яндекс.Касса об обновление PHP.SDK

  • Доброе утро пришло письмо на почту с такой пометкой “Необходимо обязательное обновление PHP.SDK на Вашем проекте” http://prntscr.com/t9kaey Нас это тоже касается или будет обновление,

    Само письмо

    Добрый день!

    Уведомлениям Вас о том, что до 10.07.2020 (пятница) Вам необходимо обновить используемую библиотеку SDK Яндекс.Кассы на PHP до актуальной версии (минимум до v1.6.4). В случае, если Вы это не сделаете до указанной даты, после возможны проблемы при работе онлайн платежей.

    Пожалуйста, обязательно покажите эту информацию разработчику Вашего сайта.

    Информация для разработчика сайта
    (только для самописных сайтов; если Ваш сайт сделан на базе CMS и вы используете стандартный платежный плагин или расширение, то ничего делать не надо)
    Нами выявлен серьезный баг в SDK на PHP, который при ближайшем обновлении нашего платежного окружения, может привести к нарушению обработки событий payment.canceled при использовании нашей библиотеки SDK на PHP.
    Если Вы НЕ подписаны на уведомления payment.canceled, то острой необходимости в обновлении SDK на PHP нет.
    Посмотреть список событий API Яндекс.Кассы, на которые подписан Ваш магазин, можно в личном кабинете в разделе “Интеграция” – “HTTPS-уведомления” https://kassa.yandex.ru/my/http-notifications-settings.
    Если у Вас нет необходимости получать эти уведомления, Вы можете их отключить (и тогда обновить SDK на PHP Вы можете позже).
    Информация для обновления до SDK Яндекс.Кассы (на PHP) v1.6.4
    shopid = 114569
    https://github.com/yandex-money/yandex-checkout-sdk-php/blob/master/CHANGELOG.md
    https://packagist.org/packages/yandex-money/yandex-checkout-sdk-php
    https://github.com/yandex-money/yandex-checkout-sdk-php
    Любые вопросы можете задавать в рамках текущей переписки.


    Команда Яндекс.Кассы

Viewing 1 replies (of 1 total)
  • Добрый день!

    Для пользователей модуля для WooCommerce данное сообщение можно проигнорировать.
    В модуле не используется функционал, который может вызывать ошибку.
    Письмо будет актуально только для тех магазинов, которые используют решение без готового модуля.

Viewing 1 replies (of 1 total)
  • The topic ‘Письмо от Яндекс.Касса об обновление PHP.SDK’ is closed to new replies.